### Method

# Ggit Repository create_blob_from_file

#### Declaration [src]

    GgitOId*
    ggit_repository_create_blob_from_file (
      GgitRepository* repository,
      GFile* file,
      GError** error
    )

#### Description [src]

Write a file to the object database as a blob.

Returns (transfer full) (nullable): the new `GgitOid` of the written blob, or `NULL` if writing the blob failed.

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitOId`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.